
// PL2303G_16_GPIODlg.h : header file
//

#pragma once
#include "afxwin.h"


// CPL2303G_16_GPIODlg dialog
class CPL2303G_16_GPIODlg : public CDialogEx
{
// Construction
public:
	CPL2303G_16_GPIODlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_PL2303G_16_GPIO_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedBtnOpen();
	afx_msg void OnBnClickedButton1();
	HANDLE m_hCOM;
	__int8 GPIO_Address;
	BYTE val;
	BOOL bControlEnable, bOutputEnable;
	int errCode;
	CString strResponse;
	void AddResponseString(CString& str);
	CButton m_cchk_GPIO_A_0_CE;
	CButton m_cchk_GPIO_A_0_OE;
	CButton m_cbtn_GPIO_A_0_Get;
	CButton m_cbtn_GPIO_A_0_Set;
	CString m_edit_GPIO_A_0_Set_Value;
	afx_msg void OnBnClickedChkGpioA0Ce();
	BOOL m_vchk_GPIO_A_0_CE;
	CEdit m_cedit_GPIO_A_0_Set_Value;
	afx_msg void OnBnClickedChkGpioA0Oe();
	CButton m_cchk_GPIO_A_1_CE;
	CButton m_cchk_GPIO_A_2_CE;
	CButton m_cchk_GPIO_A_3_CE;
	CButton m_cchk_GPIO_A_4_CE;
	CButton m_cchk_GPIO_A_5_CE;
	CButton m_cchk_GPIO_A_6_CE;
	CButton m_cchk_GPIO_A_7_CE;

	CButton m_cchk_GPIO_A_1_OE;
	CButton m_cchk_GPIO_A_2_OE;
	CButton m_cchk_GPIO_A_3_OE;
	CButton m_cchk_GPIO_A_4_OE;
	CButton m_cchk_GPIO_A_5_OE;
	CButton m_cchk_GPIO_A_6_OE;
	CButton m_cchk_GPIO_A_7_OE;

	CButton m_cbtn_GPIO_A_1_Get;
	CButton m_cbtn_GPIO_A_2_Get;
	CButton m_cbtn_GPIO_A_3_Get;
	CButton m_cbtn_GPIO_A_4_Get;
	CButton m_cbtn_GPIO_A_5_Get;
	CButton m_cbtn_GPIO_A_6_Get;
	CButton m_cbtn_GPIO_A_7_Get;

	CButton m_cbtn_GPIO_A_1_Set;
	CButton m_cbtn_GPIO_A_2_Set;
	CButton m_cbtn_GPIO_A_3_Set;
	CButton m_cbtn_GPIO_A_4_Set;
	CButton m_cbtn_GPIO_A_5_Set;
	CButton m_cbtn_GPIO_A_6_Set;
	CButton m_cbtn_GPIO_A_7_Set;

	CString m_edit_GPIO_A_1_Set_Value;
	CString m_edit_GPIO_A_2_Set_Value;
	CString m_edit_GPIO_A_3_Set_Value;
	CString m_edit_GPIO_A_4_Set_Value;
	CString m_edit_GPIO_A_5_Set_Value;
	CString m_edit_GPIO_A_6_Set_Value;
	CString m_edit_GPIO_A_7_Set_Value;
	CButton m_cchk_GPIO_B_0_CE;
	CButton m_cchk_GPIO_B_1_CE;
	CButton m_cchk_GPIO_B_2_CE;
	CButton m_cchk_GPIO_B_3_CE;
	CButton m_cchk_GPIO_B_4_CE;
	CButton m_cchk_GPIO_B_5_CE;
	CButton m_cchk_GPIO_B_6_CE;
	CButton m_cchk_GPIO_B_7_CE;
	CButton m_cchk_GPIO_B_0_OE;
	CButton m_cchk_GPIO_B_1_OE;
	CButton m_cchk_GPIO_B_2_OE;
	CButton m_cchk_GPIO_B_3_OE;
	CButton m_cchk_GPIO_B_4_OE;
	CButton m_cchk_GPIO_B_5_OE;
	CButton m_cchk_GPIO_B_6_OE;
	CButton m_cchk_GPIO_B_7_OE;
	CButton m_cbtn_GPIO_B_0_Get;
	CButton m_cbtn_GPIO_B_1_Get;
	CButton m_cbtn_GPIO_B_2_Get;
	CButton m_cbtn_GPIO_B_3_Get;
	CButton m_cbtn_GPIO_B_4_Get;
	CButton m_cbtn_GPIO_B_5_Get;
	CButton m_cbtn_GPIO_B_6_Get;
	CButton m_cbtn_GPIO_B_7_Get;
	CButton m_cbtn_GPIO_B_0_Set;
	CButton m_cbtn_GPIO_B_1_Set;
	CButton m_cbtn_GPIO_B_2_Set;
	CButton m_cbtn_GPIO_B_3_Set;
	CButton m_cbtn_GPIO_B_4_Set;
	CButton m_cbtn_GPIO_B_5_Set;
	CButton m_cbtn_GPIO_B_6_Set;
	CButton m_cbtn_GPIO_B_7_Set;
	CString m_edit_GPIO_B_0_Set_Value;
	CString m_edit_GPIO_B_1_Set_Value;
	CString m_edit_GPIO_B_2_Set_Value;
	CString m_edit_GPIO_B_3_Set_Value;
	CString m_edit_GPIO_B_4_Set_Value;
	CString m_edit_GPIO_B_5_Set_Value;
	CString m_edit_GPIO_B_6_Set_Value;
	CString m_edit_GPIO_B_7_Set_Value;
	//afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButtonClear();
	afx_msg void OnBnClickedBtnGetGpioA0();
	afx_msg void OnBnClickedBtnSetGpioA0();
	afx_msg void OnBnClickedChkGpioACe0();
	afx_msg void OnBnClickedChkGpioACe1();
	CEdit m_cedit_GPIO_A_1_Set_Value;
	CEdit m_cedit_GPIO_A_2_Set_Value;
	CEdit m_cedit_GPIO_A_3_Set_Value;
	CEdit m_cedit_GPIO_A_4_Set_Value;
	CEdit m_cedit_GPIO_A_5_Set_Value;
	CEdit m_cedit_GPIO_A_6_Set_Value;
	CEdit m_cedit_GPIO_A_7_Set_Value;
	CEdit m_cedit_GPIO_B_0_Set_Value;
	CEdit m_cedit_GPIO_B_1_Set_Value;
	CEdit m_cedit_GPIO_B_2_Set_Value;
	CEdit m_cedit_GPIO_B_3_Set_Value;
	CEdit m_cedit_GPIO_B_4_Set_Value;
	CEdit m_cedit_GPIO_B_5_Set_Value;
	CEdit m_cedit_GPIO_B_6_Set_Value;
	CEdit m_cedit_GPIO_B_7_Set_Value;
	afx_msg void OnBnClickedChkGpioAOe1();
	void SetCEConf(__int8 GPIO_Num, BOOL val);
	void SetOEConf(__int8 GPIO_Num, BOOL val);
	void SetValueConf(__int8 GPIO_Num, BYTE val);
	void GetValueConf(__int8 GPIO_Num);

	void SetCEConf_B(__int8 GPIO_Num, BOOL val);
	void SetOEConf_B(__int8 GPIO_Num, BOOL val);
	void SetValueConf_B(__int8 GPIO_Num, BYTE val);
	void GetValueConf_B(__int8 GPIO_Num);

	afx_msg void OnBnClickedBtnGetGpioA1();
	afx_msg void OnBnClickedBtnSetGpioA1();
	afx_msg void OnBnClickedChkGpioACe2();
	afx_msg void OnBnClickedChkGpioACe3();
	afx_msg void OnBnClickedChkGpioACe4();
	afx_msg void OnBnClickedChkGpioACe5();
	afx_msg void OnBnClickedChkGpioACe6();
	afx_msg void OnBnClickedChkGpioACe7();
	afx_msg void OnBnClickedChkGpioAOe2();
	afx_msg void OnBnClickedChkGpioAOe3();
	afx_msg void OnBnClickedChkGpioAOe4();
	afx_msg void OnBnClickedChkGpioAOe5();
	afx_msg void OnBnClickedChkGpioAOe6();
	afx_msg void OnBnClickedChkGpioAOe7();
	afx_msg void OnBnClickedBtnGetGpioA2();
	afx_msg void OnBnClickedBtnGetGpioA3();
	afx_msg void OnBnClickedBtnGetGpioA4();
	afx_msg void OnBnClickedBtnGetGpioA5();
	afx_msg void OnBnClickedBtnGetGpioA6();
	afx_msg void OnBnClickedBtnGetGpioA7();
	afx_msg void OnBnClickedBtnSetGpioA2();
	afx_msg void OnBnClickedBtnSetGpioA3();
	afx_msg void OnBnClickedBtnSetGpioA4();
	afx_msg void OnBnClickedBtnSetGpioA5();
	afx_msg void OnBnClickedBtnSetGpioA6();
	afx_msg void OnBnClickedBtnSetGpioA7();
	afx_msg void OnBnClickedChkGpioBCe0();
	afx_msg void OnBnClickedChkGpioBCe1();
	afx_msg void OnBnClickedChkGpioBCe2();
	afx_msg void OnBnClickedChkGpioBCe3();
	afx_msg void OnBnClickedChkGpioBCe4();
	afx_msg void OnBnClickedChkGpioBCe5();
	afx_msg void OnBnClickedChkGpioBCe6();
	afx_msg void OnBnClickedChkGpioBCe7();
	afx_msg void OnBnClickedChkGpioBOe0();
	afx_msg void OnBnClickedChkGpioBOe1();
	afx_msg void OnBnClickedChkGpioBOe2();
	afx_msg void OnBnClickedChkGpioBOe3();
	afx_msg void OnBnClickedChkGpioBOe4();
	afx_msg void OnBnClickedChkGpioBOe5();
	afx_msg void OnBnClickedChkGpioBOe6();
	afx_msg void OnBnClickedChkGpioBOe7();
	afx_msg void OnBnClickedBtnGetGpioB0();
	afx_msg void OnBnClickedBtnGetGpioB1();
	afx_msg void OnBnClickedBtnGetGpioB2();
	afx_msg void OnBnClickedBtnGetGpioB3();
	afx_msg void OnBnClickedBtnGetGpioB4();
	afx_msg void OnBnClickedBtnGetGpioB5();
	afx_msg void OnBnClickedBtnGetGpioB6();
	afx_msg void OnBnClickedBtnGetGpioB7();
	afx_msg void OnBnClickedBtnSetGpioB0();
	afx_msg void OnBnClickedBtnSetGpioB1();
	afx_msg void OnBnClickedBtnSetGpioB2();
	afx_msg void OnBnClickedBtnSetGpioB3();
	afx_msg void OnBnClickedBtnSetGpioB4();
	afx_msg void OnBnClickedBtnSetGpioB5();
	afx_msg void OnBnClickedBtnSetGpioB6();
	afx_msg void OnBnClickedBtnSetGpioB7();
	afx_msg void OnBnClickedCancel();
	CString m_Test_value;
	afx_msg void OnBnClickedChkGpioAOe0();
};
