
// PL2303G_16_GPIODlg.cpp : implementation file
//

#include "stdafx.h"
#include "PL2303G_16_GPIO.h"
#include "PL2303G_16_GPIODlg.h"
#include "afxdialogex.h"


#include <windowsx.h>

//#include "..\DLL\DLL.H"


#include "inc\DLL.H"

#include <dbt.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CAboutDlg dialog used for App About

class CAboutDlg : public CDialogEx
{
public:
	CAboutDlg();

// Dialog Data
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_ABOUTBOX };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialogEx(IDD_ABOUTBOX)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialogEx)
END_MESSAGE_MAP()


// CPL2303G_16_GPIODlg dialog



CPL2303G_16_GPIODlg::CPL2303G_16_GPIODlg(CWnd* pParent /*=NULL*/)
	: CDialogEx(IDD_PL2303G_16_GPIO_DIALOG, pParent)
	, m_edit_GPIO_A_0_Set_Value(_T(""))
	, m_vchk_GPIO_A_0_CE(FALSE)
	, m_edit_GPIO_A_1_Set_Value(_T(""))
	, m_edit_GPIO_A_2_Set_Value(_T(""))
	, m_edit_GPIO_A_3_Set_Value(_T(""))
	, m_edit_GPIO_A_4_Set_Value(_T(""))
	, m_edit_GPIO_A_5_Set_Value(_T(""))
	, m_edit_GPIO_A_6_Set_Value(_T(""))
	, m_edit_GPIO_A_7_Set_Value(_T(""))
	, m_edit_GPIO_B_0_Set_Value(_T(""))
	, m_edit_GPIO_B_1_Set_Value(_T(""))
	, m_edit_GPIO_B_2_Set_Value(_T(""))
	, m_edit_GPIO_B_3_Set_Value(_T(""))
	, m_edit_GPIO_B_4_Set_Value(_T(""))
	, m_edit_GPIO_B_5_Set_Value(_T(""))
	, m_edit_GPIO_B_6_Set_Value(_T(""))
	, m_edit_GPIO_B_7_Set_Value(_T(""))
	, m_Test_value(_T(""))
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CPL2303G_16_GPIODlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_CHK_GPIO_A_0_CE, m_cchk_GPIO_A_0_CE);
	DDX_Control(pDX, IDC_CHK_GPIO_A_0_OE, m_cchk_GPIO_A_0_OE);
	DDX_Control(pDX, IDC_BTN_Get_GPIO_A_0, m_cbtn_GPIO_A_0_Get);
	DDX_Control(pDX, IDC_BTN_GPIO_A_0_Set, m_cbtn_GPIO_A_0_Set);
	DDX_Text(pDX, IDC_EDIT_GPIO_A_0_SetValue, m_edit_GPIO_A_0_Set_Value);
	DDV_MaxChars(pDX, m_edit_GPIO_A_0_Set_Value, 1);
	DDX_Check(pDX, IDC_CHK_GPIO_A_0_CE, m_vchk_GPIO_A_0_CE);
	DDX_Control(pDX, IDC_EDIT_GPIO_A_0_SetValue, m_cedit_GPIO_A_0_Set_Value);
	DDX_Control(pDX, IDC_CHK_GPIO_A_CE_1, m_cchk_GPIO_A_1_CE);
	DDX_Control(pDX, IDC_CHK_GPIO_A_CE_2, m_cchk_GPIO_A_2_CE);
	DDX_Control(pDX, IDC_CHK_GPIO_A_CE_3, m_cchk_GPIO_A_3_CE);
	DDX_Control(pDX, IDC_CHK_GPIO_A_CE_4, m_cchk_GPIO_A_4_CE);
	DDX_Control(pDX, IDC_CHK_GPIO_A_CE_5, m_cchk_GPIO_A_5_CE);
	DDX_Control(pDX, IDC_CHK_GPIO_A_CE_6, m_cchk_GPIO_A_6_CE);
	DDX_Control(pDX, IDC_CHK_GPIO_A_CE_7, m_cchk_GPIO_A_7_CE);
	DDX_Control(pDX, IDC_CHK_GPIO_A_OE_1, m_cchk_GPIO_A_1_OE);
	DDX_Control(pDX, IDC_CHK_GPIO_A_OE_2, m_cchk_GPIO_A_2_OE);
	DDX_Control(pDX, IDC_CHK_GPIO_A_OE_3, m_cchk_GPIO_A_3_OE);
	DDX_Control(pDX, IDC_CHK_GPIO_A_OE_4, m_cchk_GPIO_A_4_OE);
	DDX_Control(pDX, IDC_CHK_GPIO_A_OE_5, m_cchk_GPIO_A_5_OE);
	DDX_Control(pDX, IDC_CHK_GPIO_A_OE_6, m_cchk_GPIO_A_6_OE);
	DDX_Control(pDX, IDC_CHK_GPIO_A_OE_7, m_cchk_GPIO_A_7_OE);
	DDX_Control(pDX, IDC_BTN_Get_GPIO_A_1, m_cbtn_GPIO_A_1_Get);
	DDX_Control(pDX, IDC_BTN_Get_GPIO_A_2, m_cbtn_GPIO_A_2_Get);
	DDX_Control(pDX, IDC_BTN_Get_GPIO_A_3, m_cbtn_GPIO_A_3_Get);
	DDX_Control(pDX, IDC_BTN_Get_GPIO_A_4, m_cbtn_GPIO_A_4_Get);
	DDX_Control(pDX, IDC_BTN_Get_GPIO_A_5, m_cbtn_GPIO_A_5_Get);
	DDX_Control(pDX, IDC_BTN_Get_GPIO_A_6, m_cbtn_GPIO_A_6_Get);
	DDX_Control(pDX, IDC_BTN_Get_GPIO_A_7, m_cbtn_GPIO_A_7_Get);
	DDX_Control(pDX, IDC_BTN_Set_GPIO_A_1, m_cbtn_GPIO_A_1_Set);
	DDX_Control(pDX, IDC_BTN_Set_GPIO_A_2, m_cbtn_GPIO_A_2_Set);
	DDX_Control(pDX, IDC_BTN_Set_GPIO_A_3, m_cbtn_GPIO_A_3_Set);
	DDX_Control(pDX, IDC_BTN_Set_GPIO_A_4, m_cbtn_GPIO_A_4_Set);
	DDX_Control(pDX, IDC_BTN_Set_GPIO_A_5, m_cbtn_GPIO_A_5_Set);
	DDX_Control(pDX, IDC_BTN_Set_GPIO_A_6, m_cbtn_GPIO_A_6_Set);
	DDX_Control(pDX, IDC_BTN_Set_GPIO_A_7, m_cbtn_GPIO_A_7_Set);
	DDX_Text(pDX, IDC_EDIT_SetValue_GPIO_A_1, m_edit_GPIO_A_1_Set_Value);
	DDV_MaxChars(pDX, m_edit_GPIO_A_1_Set_Value, 1);
	DDX_Text(pDX, IDC_EDIT_SetValue_GPIO_A_2, m_edit_GPIO_A_2_Set_Value);
	DDV_MaxChars(pDX, m_edit_GPIO_A_2_Set_Value, 1);
	DDX_Text(pDX, IDC_EDIT_SetValue_GPIO_A_3, m_edit_GPIO_A_3_Set_Value);
	DDV_MaxChars(pDX, m_edit_GPIO_A_3_Set_Value, 1);
	DDX_Text(pDX, IDC_EDIT_SetValue_GPIO_A_4, m_edit_GPIO_A_4_Set_Value);
	DDV_MaxChars(pDX, m_edit_GPIO_A_4_Set_Value, 1);
	DDX_Text(pDX, IDC_EDIT_SetValue_GPIO_A_5, m_edit_GPIO_A_5_Set_Value);
	DDV_MaxChars(pDX, m_edit_GPIO_A_5_Set_Value, 1);
	DDX_Text(pDX, IDC_EDIT_SetValue_GPIO_A_6, m_edit_GPIO_A_6_Set_Value);
	DDV_MaxChars(pDX, m_edit_GPIO_A_6_Set_Value, 1);
	DDX_Text(pDX, IDC_EDIT_SetValue_GPIO_A_7, m_edit_GPIO_A_7_Set_Value);
	DDV_MaxChars(pDX, m_edit_GPIO_A_7_Set_Value, 1);
	DDX_Control(pDX, IDC_CHK_GPIO_B_CE_0, m_cchk_GPIO_B_0_CE);
	DDX_Control(pDX, IDC_CHK_GPIO_B_CE_1, m_cchk_GPIO_B_1_CE);
	DDX_Control(pDX, IDC_CHK_GPIO_B_CE_2, m_cchk_GPIO_B_2_CE);
	DDX_Control(pDX, IDC_CHK_GPIO_B_CE_3, m_cchk_GPIO_B_3_CE);
	DDX_Control(pDX, IDC_CHK_GPIO_B_CE_4, m_cchk_GPIO_B_4_CE);
	DDX_Control(pDX, IDC_CHK_GPIO_B_CE_5, m_cchk_GPIO_B_5_CE);
	DDX_Control(pDX, IDC_CHK_GPIO_B_CE_6, m_cchk_GPIO_B_6_CE);
	DDX_Control(pDX, IDC_CHK_GPIO_B_CE_7, m_cchk_GPIO_B_7_CE);
	DDX_Control(pDX, IDC_CHK_GPIO_B_OE_0, m_cchk_GPIO_B_0_OE);
	DDX_Control(pDX, IDC_CHK_GPIO_B_OE_1, m_cchk_GPIO_B_1_OE);
	DDX_Control(pDX, IDC_CHK_GPIO_B_OE_2, m_cchk_GPIO_B_2_OE);
	DDX_Control(pDX, IDC_CHK_GPIO_B_OE_3, m_cchk_GPIO_B_3_OE);
	DDX_Control(pDX, IDC_CHK_GPIO_B_OE_4, m_cchk_GPIO_B_4_OE);
	DDX_Control(pDX, IDC_CHK_GPIO_B_OE_5, m_cchk_GPIO_B_5_OE);
	DDX_Control(pDX, IDC_CHK_GPIO_B_OE_6, m_cchk_GPIO_B_6_OE);
	DDX_Control(pDX, IDC_CHK_GPIO_B_OE_7, m_cchk_GPIO_B_7_OE);
	DDX_Control(pDX, IDC_BTN_Get_GPIO_B_0, m_cbtn_GPIO_B_0_Get);
	DDX_Control(pDX, IDC_BTN_Get_GPIO_B_1, m_cbtn_GPIO_B_1_Get);
	DDX_Control(pDX, IDC_BTN_Get_GPIO_B_2, m_cbtn_GPIO_B_2_Get);
	DDX_Control(pDX, IDC_BTN_Get_GPIO_B_3, m_cbtn_GPIO_B_3_Get);
	DDX_Control(pDX, IDC_BTN_Get_GPIO_B_4, m_cbtn_GPIO_B_4_Get);
	DDX_Control(pDX, IDC_BTN_Get_GPIO_B_5, m_cbtn_GPIO_B_5_Get);
	DDX_Control(pDX, IDC_BTN_Get_GPIO_B_6, m_cbtn_GPIO_B_6_Get);
	DDX_Control(pDX, IDC_BTN_Get_GPIO_B_7, m_cbtn_GPIO_B_7_Get);
	DDX_Control(pDX, IDC_BTN_Set_GPIO_B_0, m_cbtn_GPIO_B_0_Set);
	DDX_Control(pDX, IDC_BTN_Set_GPIO_B_1, m_cbtn_GPIO_B_1_Set);
	DDX_Control(pDX, IDC_BTN_Set_GPIO_B_2, m_cbtn_GPIO_B_2_Set);
	DDX_Control(pDX, IDC_BTN_Set_GPIO_B_3, m_cbtn_GPIO_B_3_Set);
	DDX_Control(pDX, IDC_BTN_Set_GPIO_B_4, m_cbtn_GPIO_B_4_Set);
	DDX_Control(pDX, IDC_BTN_Set_GPIO_B_5, m_cbtn_GPIO_B_5_Set);
	DDX_Control(pDX, IDC_BTN_Set_GPIO_B_6, m_cbtn_GPIO_B_6_Set);
	DDX_Control(pDX, IDC_BTN_Set_GPIO_B_7, m_cbtn_GPIO_B_7_Set);
	DDX_Text(pDX, IDC_EDIT_SetValue_GPIO_B_0, m_edit_GPIO_B_0_Set_Value);
	DDV_MaxChars(pDX, m_edit_GPIO_B_0_Set_Value, 1);
	DDX_Text(pDX, IDC_EDIT_SetValue_GPIO_B_1, m_edit_GPIO_B_1_Set_Value);
	DDV_MaxChars(pDX, m_edit_GPIO_B_1_Set_Value, 1);
	DDX_Text(pDX, IDC_EDIT_SetValue_GPIO_B_2, m_edit_GPIO_B_2_Set_Value);
	DDV_MaxChars(pDX, m_edit_GPIO_B_2_Set_Value, 1);
	DDX_Text(pDX, IDC_EDIT_SetValue_GPIO_B_3, m_edit_GPIO_B_3_Set_Value);
	DDV_MaxChars(pDX, m_edit_GPIO_B_3_Set_Value, 1);
	DDX_Text(pDX, IDC_EDIT_SetValue_GPIO_B_4, m_edit_GPIO_B_4_Set_Value);
	DDV_MaxChars(pDX, m_edit_GPIO_B_4_Set_Value, 1);
	DDX_Text(pDX, IDC_EDIT_SetValue_GPIO_B_5, m_edit_GPIO_B_5_Set_Value);
	DDV_MaxChars(pDX, m_edit_GPIO_B_5_Set_Value, 1);
	DDX_Text(pDX, IDC_EDIT_SetValue_GPIO_B_6, m_edit_GPIO_B_6_Set_Value);
	DDV_MaxChars(pDX, m_edit_GPIO_B_6_Set_Value, 1);
	DDX_Text(pDX, IDC_EDIT_SetValue_GPIO_B_7, m_edit_GPIO_B_7_Set_Value);
	DDV_MaxChars(pDX, m_edit_GPIO_B_7_Set_Value, 1);
	DDX_Control(pDX, IDC_EDIT_SetValue_GPIO_A_1, m_cedit_GPIO_A_1_Set_Value);
	DDX_Control(pDX, IDC_EDIT_SetValue_GPIO_A_2, m_cedit_GPIO_A_2_Set_Value);
	DDX_Control(pDX, IDC_EDIT_SetValue_GPIO_A_3, m_cedit_GPIO_A_3_Set_Value);
	DDX_Control(pDX, IDC_EDIT_SetValue_GPIO_A_4, m_cedit_GPIO_A_4_Set_Value);
	DDX_Control(pDX, IDC_EDIT_SetValue_GPIO_A_5, m_cedit_GPIO_A_5_Set_Value);
	DDX_Control(pDX, IDC_EDIT_SetValue_GPIO_A_6, m_cedit_GPIO_A_6_Set_Value);
	DDX_Control(pDX, IDC_EDIT_SetValue_GPIO_A_7, m_cedit_GPIO_A_7_Set_Value);
	DDX_Control(pDX, IDC_EDIT_SetValue_GPIO_B_0, m_cedit_GPIO_B_0_Set_Value);
	DDX_Control(pDX, IDC_EDIT_SetValue_GPIO_B_1, m_cedit_GPIO_B_1_Set_Value);
	DDX_Control(pDX, IDC_EDIT_SetValue_GPIO_B_2, m_cedit_GPIO_B_2_Set_Value);
	DDX_Control(pDX, IDC_EDIT_SetValue_GPIO_B_3, m_cedit_GPIO_B_3_Set_Value);
	DDX_Control(pDX, IDC_EDIT_SetValue_GPIO_B_4, m_cedit_GPIO_B_4_Set_Value);
	DDX_Control(pDX, IDC_EDIT_SetValue_GPIO_B_5, m_cedit_GPIO_B_5_Set_Value);
	DDX_Control(pDX, IDC_EDIT_SetValue_GPIO_B_6, m_cedit_GPIO_B_6_Set_Value);
	DDX_Control(pDX, IDC_EDIT_SetValue_GPIO_B_7, m_cedit_GPIO_B_7_Set_Value);
	DDX_Text(pDX, IDC_EDIT1, m_Test_value);
}

BEGIN_MESSAGE_MAP(CPL2303G_16_GPIODlg, CDialogEx)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BTN_OPEN, &CPL2303G_16_GPIODlg::OnBnClickedBtnOpen)
	ON_BN_CLICKED(IDC_BUTTON1, &CPL2303G_16_GPIODlg::OnBnClickedButton1)
	ON_BN_CLICKED(IDC_CHK_GPIO_A_0_CE, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioA0Ce)
	ON_BN_CLICKED(IDC_CHK_GPIO_A_0_OE, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioA0Oe)
	ON_BN_CLICKED(IDC_BUTTON_Clear, &CPL2303G_16_GPIODlg::OnBnClickedButtonClear)
	ON_BN_CLICKED(IDC_BTN_Get_GPIO_A_0, &CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioA0)
	ON_BN_CLICKED(IDC_BTN_Set_GPIO_A_0, &CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioA0)
	ON_BN_CLICKED(IDC_CHK_GPIO_A_CE_0, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioACe0)
	ON_BN_CLICKED(IDC_CHK_GPIO_A_CE_1, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioACe1)
	ON_BN_CLICKED(IDC_CHK_GPIO_A_OE_1, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioAOe1)
	ON_BN_CLICKED(IDC_BTN_Get_GPIO_A_1, &CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioA1)
	ON_BN_CLICKED(IDC_BTN_Set_GPIO_A_1, &CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioA1)
	ON_BN_CLICKED(IDC_CHK_GPIO_A_CE_2, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioACe2)
	ON_BN_CLICKED(IDC_CHK_GPIO_A_CE_3, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioACe3)
	ON_BN_CLICKED(IDC_CHK_GPIO_A_CE_4, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioACe4)
	ON_BN_CLICKED(IDC_CHK_GPIO_A_CE_5, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioACe5)
	ON_BN_CLICKED(IDC_CHK_GPIO_A_CE_6, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioACe6)
	ON_BN_CLICKED(IDC_CHK_GPIO_A_CE_7, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioACe7)
	ON_BN_CLICKED(IDC_CHK_GPIO_A_OE_2, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioAOe2)
	ON_BN_CLICKED(IDC_CHK_GPIO_A_OE_3, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioAOe3)
	ON_BN_CLICKED(IDC_CHK_GPIO_A_OE_4, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioAOe4)
	ON_BN_CLICKED(IDC_CHK_GPIO_A_OE_5, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioAOe5)
	ON_BN_CLICKED(IDC_CHK_GPIO_A_OE_6, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioAOe6)
	ON_BN_CLICKED(IDC_CHK_GPIO_A_OE_7, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioAOe7)
	ON_BN_CLICKED(IDC_BTN_Get_GPIO_A_2, &CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioA2)
	ON_BN_CLICKED(IDC_BTN_Get_GPIO_A_3, &CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioA3)
	ON_BN_CLICKED(IDC_BTN_Get_GPIO_A_4, &CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioA4)
	ON_BN_CLICKED(IDC_BTN_Get_GPIO_A_5, &CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioA5)
	ON_BN_CLICKED(IDC_BTN_Get_GPIO_A_6, &CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioA6)
	ON_BN_CLICKED(IDC_BTN_Get_GPIO_A_7, &CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioA7)
	ON_BN_CLICKED(IDC_BTN_Set_GPIO_A_2, &CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioA2)
	ON_BN_CLICKED(IDC_BTN_Set_GPIO_A_3, &CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioA3)
	ON_BN_CLICKED(IDC_BTN_Set_GPIO_A_4, &CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioA4)
	ON_BN_CLICKED(IDC_BTN_Set_GPIO_A_5, &CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioA5)
	ON_BN_CLICKED(IDC_BTN_Set_GPIO_A_6, &CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioA6)
	ON_BN_CLICKED(IDC_BTN_Set_GPIO_A_7, &CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioA7)
	ON_BN_CLICKED(IDC_CHK_GPIO_B_CE_0, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioBCe0)
	ON_BN_CLICKED(IDC_CHK_GPIO_B_CE_1, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioBCe1)
	ON_BN_CLICKED(IDC_CHK_GPIO_B_CE_2, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioBCe2)
	ON_BN_CLICKED(IDC_CHK_GPIO_B_CE_3, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioBCe3)
	ON_BN_CLICKED(IDC_CHK_GPIO_B_CE_4, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioBCe4)
	ON_BN_CLICKED(IDC_CHK_GPIO_B_CE_5, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioBCe5)
	ON_BN_CLICKED(IDC_CHK_GPIO_B_CE_6, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioBCe6)
	ON_BN_CLICKED(IDC_CHK_GPIO_B_CE_7, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioBCe7)
	ON_BN_CLICKED(IDC_CHK_GPIO_B_OE_0, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioBOe0)
	ON_BN_CLICKED(IDC_CHK_GPIO_B_OE_1, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioBOe1)
	ON_BN_CLICKED(IDC_CHK_GPIO_B_OE_2, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioBOe2)
	ON_BN_CLICKED(IDC_CHK_GPIO_B_OE_3, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioBOe3)
	ON_BN_CLICKED(IDC_CHK_GPIO_B_OE_4, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioBOe4)
	ON_BN_CLICKED(IDC_CHK_GPIO_B_OE_5, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioBOe5)
	ON_BN_CLICKED(IDC_CHK_GPIO_B_OE_6, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioBOe6)
	ON_BN_CLICKED(IDC_CHK_GPIO_B_OE_7, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioBOe7)
	ON_BN_CLICKED(IDC_BTN_Get_GPIO_B_0, &CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioB0)
	ON_BN_CLICKED(IDC_BTN_Get_GPIO_B_1, &CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioB1)
	ON_BN_CLICKED(IDC_BTN_Get_GPIO_B_2, &CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioB2)
	ON_BN_CLICKED(IDC_BTN_Get_GPIO_B_3, &CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioB3)
	ON_BN_CLICKED(IDC_BTN_Get_GPIO_B_4, &CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioB4)
	ON_BN_CLICKED(IDC_BTN_Get_GPIO_B_5, &CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioB5)
	ON_BN_CLICKED(IDC_BTN_Get_GPIO_B_6, &CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioB6)
	ON_BN_CLICKED(IDC_BTN_Get_GPIO_B_7, &CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioB7)
	ON_BN_CLICKED(IDC_BTN_Set_GPIO_B_0, &CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioB0)
	ON_BN_CLICKED(IDC_BTN_Set_GPIO_B_1, &CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioB1)
	ON_BN_CLICKED(IDC_BTN_Set_GPIO_B_2, &CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioB2)
	ON_BN_CLICKED(IDC_BTN_Set_GPIO_B_3, &CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioB3)
	ON_BN_CLICKED(IDC_BTN_Set_GPIO_B_4, &CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioB4)
	ON_BN_CLICKED(IDC_BTN_Set_GPIO_B_5, &CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioB5)
	ON_BN_CLICKED(IDC_BTN_Set_GPIO_B_6, &CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioB6)
	ON_BN_CLICKED(IDC_BTN_Set_GPIO_B_7, &CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioB7)
	ON_BN_CLICKED(IDCANCEL, &CPL2303G_16_GPIODlg::OnBnClickedCancel)
	ON_BN_CLICKED(IDC_CHK_GPIO_A_OE_0, &CPL2303G_16_GPIODlg::OnBnClickedChkGpioAOe0)
END_MESSAGE_MAP()


// CPL2303G_16_GPIODlg message handlers

BOOL CPL2303G_16_GPIODlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		BOOL bNameValid;
		CString strAboutMenu;
		bNameValid = strAboutMenu.LoadString(IDS_ABOUTBOX);
		ASSERT(bNameValid);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	m_hCOM =  INVALID_HANDLE_VALUE;

	// TODO: Add extra initialization here

	CComboBox* cb = (CComboBox *)GetDlgItem(IDC_COMBO_PORT);
	cb->SetCurSel(2);

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CPL2303G_16_GPIODlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialogEx::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CPL2303G_16_GPIODlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialogEx::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CPL2303G_16_GPIODlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}



void CPL2303G_16_GPIODlg::OnBnClickedBtnOpen()
{
	// TODO: Add your control notification handler code here

	if (m_hCOM != INVALID_HANDLE_VALUE)
		OnBnClickedButton1();

	CString comStr, tmpStr;
	CComboBox* cb = (CComboBox *)GetDlgItem(IDC_COMBO_PORT);
	int nIndex = cb->GetCurSel();
	if (nIndex != CB_ERR) {
		cb->GetLBText(nIndex, comStr);

		//		if(m_bWindows2000)
		//			m_hCOM = ::CreateFile(comStr, GENERIC_READ | GENERIC_WRITE,
		//					0, NULL, OPEN_EXISTING, 0, NULL);
		//		else
		tmpStr = "\\\\.\\" + comStr;
		m_hCOM = ::CreateFile(tmpStr, GENERIC_READ | GENERIC_WRITE,
			0, NULL, OPEN_EXISTING, FILE_FLAG_OVERLAPPED, NULL);

		strResponse = "OPEN " + comStr + " port ";
		if (m_hCOM == INVALID_HANDLE_VALUE)
			strResponse += "FAILED.";
		else
			strResponse += "Successfully!";
		AddResponseString(strResponse);


	}
}


void CPL2303G_16_GPIODlg::OnBnClickedButton1()
{
	// TODO: Add your control notification handler code here
	if (m_hCOM != INVALID_HANDLE_VALUE) {
		// CLR DTR/RTS
		::CloseHandle(m_hCOM);
		m_hCOM = INVALID_HANDLE_VALUE;
		strResponse = "Close COM port Successfully!";
		AddResponseString(strResponse);
	}
}

void CPL2303G_16_GPIODlg::AddResponseString(CString & str)
{
CListBox *lb = (CListBox *)GetDlgItem(IDC_LIST_COMMAND_RESPONSE);
	int nIndex = lb->AddString(str);
	if (nIndex != LB_ERR || nIndex != LB_ERRSPACE)
		lb->SetCurSel(nIndex);
}




void CPL2303G_16_GPIODlg::OnBnClickedButtonClear()
{
	// TODO: Add your control notification handler code here
	CListBox* output = (CListBox *)GetDlgItem(IDC_LIST_COMMAND_RESPONSE);
	output->ResetContent();

}


void CPL2303G_16_GPIODlg::SetCEConf(__int8 GPIO_Num, BOOL val)
{
	if ((errCode = PL2303G_GPIO_A_CNT_ENABLE(m_hCOM, GPIO_Num, val)) != STATUS_SUCCESS) {
		strResponse.Format("PL2303G_GPIO_A_%d, CNT_ENABLE Failed! - %d", GPIO_Num, errCode);
	}
	else {
		strResponse.Format("PL2303G_GPIO_A_%d, CNT_ENABLE Successfully!", GPIO_Num);
	}
	AddResponseString(strResponse);

}

void CPL2303G_16_GPIODlg::SetCEConf_B(__int8 GPIO_Num, BOOL val)
{
	if ((errCode = PL2303G_GPIO_B_CNT_ENABLE(m_hCOM, GPIO_Num, val)) != STATUS_SUCCESS) {
		strResponse.Format("PL2303G_GPIO_B_%d, CNT_ENABLE Failed! - %d", GPIO_Num, errCode);
	}
	else {
		strResponse.Format("PL2303G_GPIO_B_%d, CNT_ENABLE Successfully!", GPIO_Num);
	}
	AddResponseString(strResponse);

}

void CPL2303G_16_GPIODlg::SetOEConf(__int8 GPIO_Num, BOOL val)
{
	if ((errCode = PL2303G_GPIO_A_OUT_ENABLE(m_hCOM, GPIO_Num, val)) != STATUS_SUCCESS) {
		strResponse.Format("PL2303G_GPIO_A_%d, OUT_ENABLE GPIO Failed! - %d", GPIO_Address, errCode);
	}
	else {
		strResponse.Format("PL2303G_GPIO_A_%d, OUT_ENABLE GPIO Successfully!", GPIO_Address);
	}
	AddResponseString(strResponse);
}

void CPL2303G_16_GPIODlg::SetOEConf_B(__int8 GPIO_Num, BOOL val)
{
	if ((errCode = PL2303G_GPIO_B_OUT_ENABLE(m_hCOM, GPIO_Num, val)) != STATUS_SUCCESS) {
		strResponse.Format("PL2303G_GPIO_B_%d, OUT_ENABLE GPIO Failed! - %d", GPIO_Address, errCode);
	}
	else {
		strResponse.Format("PL2303G_GPIO_B_%d, OUT_ENABLE GPIO Successfully!", GPIO_Address);
	}
	AddResponseString(strResponse);
}

void CPL2303G_16_GPIODlg::SetValueConf(__int8 GPIO_Num, BYTE val)
{

	if ((errCode = PL2303G_GPIO_A_SetValue(m_hCOM, GPIO_Num, val)) != STATUS_SUCCESS) {
		strResponse.Format("PL2303G_GPIO_A_%d SetValue: %d Failed!", GPIO_Num, errCode);

	}
	else {
		strResponse.Format("PL2303G_GPIO_A_%d SetValue: %d", GPIO_Num, val);
	}

	AddResponseString(strResponse);
}

void CPL2303G_16_GPIODlg::SetValueConf_B(__int8 GPIO_Num, BYTE val)
{

	if ((errCode = PL2303G_GPIO_B_SetValue(m_hCOM, GPIO_Num, val)) != STATUS_SUCCESS) {
		strResponse.Format("PL2303G_GPIO_B_%d SetValue: %d Failed!", GPIO_Num, errCode);

	}
	else {
		strResponse.Format("PL2303G_GPIO_B_%d SetValue: %d", GPIO_Num, val);
	}

	AddResponseString(strResponse);
}

void CPL2303G_16_GPIODlg::GetValueConf(__int8 GPIO_Num)
{
	val = 0;

	if ((errCode = PL2303G_GPIO_A_GetValue(m_hCOM, GPIO_Num, &val)) != STATUS_SUCCESS) {
		strResponse.Format("PL2303G_GPIO_A_%d, GetValue Failed: %d!", GPIO_Num, errCode);
	}
	else {
		strResponse.Format("PL2303G_GPIO_A_%d, GetValue: %d.", GPIO_Num, val);
	}

	AddResponseString(strResponse);
}

void CPL2303G_16_GPIODlg::GetValueConf_B(__int8 GPIO_Num)
{
	val = 0;

	if ((errCode = PL2303G_GPIO_B_GetValue(m_hCOM, GPIO_Num, &val)) != STATUS_SUCCESS) {
		strResponse.Format("PL2303G_GPIO_B_%d, GetValue Failed: %d!", GPIO_Num, errCode);
	}
	else {
		strResponse.Format("PL2303G_GPIO_B_%d, GetValue: %d.", GPIO_Num, val);
	}

	AddResponseString(strResponse);
}

void CPL2303G_16_GPIODlg::OnBnClickedChkGpioA0Ce()
{
	// TODO: Add your control notification handler code here
	
	GPIO_Address = 0;

	if (m_cchk_GPIO_A_0_CE.GetCheck()) {
		m_cchk_GPIO_A_0_OE.EnableWindow(1);
		m_cchk_GPIO_A_0_OE.SetCheck(0);
		m_cbtn_GPIO_A_0_Get.EnableWindow(1);
		m_cbtn_GPIO_A_0_Set.EnableWindow(0);
		m_cedit_GPIO_A_0_Set_Value.EnableWindow(0);
		bControlEnable = 1;
	}
	else {
		m_cchk_GPIO_A_0_OE.EnableWindow(0);
		m_cchk_GPIO_A_0_OE.SetCheck(0);
		m_cbtn_GPIO_A_0_Get.EnableWindow(0);
		m_cbtn_GPIO_A_0_Set.EnableWindow(0);
		m_cedit_GPIO_A_0_Set_Value.EnableWindow(0);
		bControlEnable = 0;
	}
	
	SetCEConf(GPIO_Address, bOutputEnable);
	
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioA0Oe()
{
	
	// TODO: Add your control notification handler code here
	GPIO_Address = 0;
	if (m_cchk_GPIO_A_0_OE.GetCheck()) {
		m_cbtn_GPIO_A_0_Get.EnableWindow(0);
		m_cbtn_GPIO_A_0_Set.EnableWindow(1);
		m_cedit_GPIO_A_0_Set_Value.EnableWindow(1);
		bOutputEnable = 1;
	}
	else {
		m_cbtn_GPIO_A_0_Get.EnableWindow(1);
		m_cbtn_GPIO_A_0_Set.EnableWindow(0);
		m_cedit_GPIO_A_0_Set_Value.EnableWindow(0);
		bOutputEnable = 0;
	}

	SetOEConf(GPIO_Address, bOutputEnable);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioA0()
{
	// TODO: Add your control notification handler code here

	UpdateData();
	GPIO_Address = 0;
	
	GetValueConf(GPIO_Address);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioA0()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 0;
	val = (BYTE)atoi(m_edit_GPIO_A_0_Set_Value);
	SetValueConf(GPIO_Address, val);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioACe0()
{
	// TODO: Add your control notification handler code here
	UpdateData();

	GPIO_Address = 0;

	if (m_cchk_GPIO_A_1_CE.GetCheck()) {
		m_cchk_GPIO_A_0_OE.EnableWindow(1);
		m_cchk_GPIO_A_0_OE.SetCheck(0);
		m_cbtn_GPIO_A_0_Get.EnableWindow(1);
		m_cbtn_GPIO_A_0_Set.EnableWindow(0);
		m_cedit_GPIO_A_0_Set_Value.EnableWindow(0);
		bControlEnable = 1;
	}
	else {
		m_cchk_GPIO_A_0_OE.EnableWindow(0);
		m_cchk_GPIO_A_0_OE.SetCheck(0);
		m_cbtn_GPIO_A_0_Get.EnableWindow(0);
		m_cbtn_GPIO_A_0_Set.EnableWindow(0);
		m_cedit_GPIO_A_0_Set_Value.EnableWindow(0);
		bControlEnable = 0;
	}

	SetCEConf(GPIO_Address, bControlEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioACe1()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 1;

	if (m_cchk_GPIO_A_1_CE.GetCheck()) {
		m_cchk_GPIO_A_1_OE.EnableWindow(1);
		m_cchk_GPIO_A_1_OE.SetCheck(0);
		m_cbtn_GPIO_A_1_Get.EnableWindow(1);
		m_cbtn_GPIO_A_1_Set.EnableWindow(0);
		m_cedit_GPIO_A_1_Set_Value.EnableWindow(0);
		bControlEnable = 1;
	}
	else {
		m_cchk_GPIO_A_1_OE.EnableWindow(0);
		m_cchk_GPIO_A_1_OE.SetCheck(0);
		m_cbtn_GPIO_A_1_Get.EnableWindow(0);
		m_cbtn_GPIO_A_1_Set.EnableWindow(0);
		m_cedit_GPIO_A_1_Set_Value.EnableWindow(0);
		bControlEnable = 0;
	}

	SetCEConf(GPIO_Address, bControlEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioAOe1()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 1;
	if (m_cchk_GPIO_A_1_OE.GetCheck()) {
		m_cbtn_GPIO_A_1_Get.EnableWindow(0);
		m_cbtn_GPIO_A_1_Set.EnableWindow(1);
		m_cedit_GPIO_A_1_Set_Value.EnableWindow(1);
		bOutputEnable = 1;
	}
	else {
		m_cbtn_GPIO_A_1_Get.EnableWindow(1);
		m_cbtn_GPIO_A_1_Set.EnableWindow(0);
		m_cedit_GPIO_A_1_Set_Value.EnableWindow(0);
		bOutputEnable = 0;
	}

	SetOEConf(GPIO_Address, bOutputEnable);
	UpdateData(FALSE);
	
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioA1()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 1;
	
	GetValueConf(GPIO_Address);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioA1()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 1;
	val = (BYTE)atoi(m_edit_GPIO_A_1_Set_Value);
	SetValueConf(GPIO_Address, val);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioACe2()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address =2;

	if (m_cchk_GPIO_A_2_CE.GetCheck()) {
		m_cchk_GPIO_A_2_OE.EnableWindow(1);
		m_cchk_GPIO_A_2_OE.SetCheck(0);
		m_cbtn_GPIO_A_2_Get.EnableWindow(1);
		m_cbtn_GPIO_A_2_Set.EnableWindow(0);
		m_cedit_GPIO_A_2_Set_Value.EnableWindow(0);
		bControlEnable = 1;
	}
	else {
		m_cchk_GPIO_A_2_OE.EnableWindow(0);
		m_cchk_GPIO_A_2_OE.SetCheck(0);
		m_cbtn_GPIO_A_2_Get.EnableWindow(0);
		m_cbtn_GPIO_A_2_Set.EnableWindow(0);
		m_cedit_GPIO_A_2_Set_Value.EnableWindow(0);
		bControlEnable = 0;
	}

	SetCEConf(GPIO_Address, bControlEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioACe3()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 3;

	if (m_cchk_GPIO_A_3_CE.GetCheck()) {
		m_cchk_GPIO_A_3_OE.EnableWindow(1);
		m_cchk_GPIO_A_3_OE.SetCheck(0);
		m_cbtn_GPIO_A_3_Get.EnableWindow(1);
		m_cbtn_GPIO_A_3_Set.EnableWindow(0);
		m_cedit_GPIO_A_3_Set_Value.EnableWindow(0);
		bControlEnable = 1;
	}
	else {
		m_cchk_GPIO_A_3_OE.EnableWindow(0);
		m_cchk_GPIO_A_3_OE.SetCheck(0);
		m_cbtn_GPIO_A_3_Get.EnableWindow(0);
		m_cbtn_GPIO_A_3_Set.EnableWindow(0);
		m_cedit_GPIO_A_3_Set_Value.EnableWindow(0);
		bControlEnable = 0;
	}

	SetCEConf(GPIO_Address, bControlEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioACe4()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 4;

	if (m_cchk_GPIO_A_4_CE.GetCheck()) {
		m_cchk_GPIO_A_4_OE.EnableWindow(1);
		m_cchk_GPIO_A_4_OE.SetCheck(0);
		m_cbtn_GPIO_A_4_Get.EnableWindow(1);
		m_cbtn_GPIO_A_4_Set.EnableWindow(0);
		m_cedit_GPIO_A_4_Set_Value.EnableWindow(0);
		bControlEnable = 1;
	}
	else {
		m_cchk_GPIO_A_4_OE.EnableWindow(0);
		m_cchk_GPIO_A_4_OE.SetCheck(0);
		m_cbtn_GPIO_A_4_Get.EnableWindow(0);
		m_cbtn_GPIO_A_4_Set.EnableWindow(0);
		m_cedit_GPIO_A_4_Set_Value.EnableWindow(0);
		bControlEnable = 0;
	}

	SetCEConf(GPIO_Address, bControlEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioACe5()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 5;

	if (m_cchk_GPIO_A_5_CE.GetCheck()) {
		m_cchk_GPIO_A_5_OE.EnableWindow(1);
		m_cchk_GPIO_A_5_OE.SetCheck(0);
		m_cbtn_GPIO_A_5_Get.EnableWindow(1);
		m_cbtn_GPIO_A_5_Set.EnableWindow(0);
		m_cedit_GPIO_A_5_Set_Value.EnableWindow(0);
		bControlEnable = 1;
	}
	else {
		m_cchk_GPIO_A_5_OE.EnableWindow(0);
		m_cchk_GPIO_A_5_OE.SetCheck(0);
		m_cbtn_GPIO_A_5_Get.EnableWindow(0);
		m_cbtn_GPIO_A_5_Set.EnableWindow(0);
		m_cedit_GPIO_A_5_Set_Value.EnableWindow(0);
		bControlEnable = 0;
	}

	SetCEConf(GPIO_Address, bControlEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioACe6()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 6;

	if (m_cchk_GPIO_A_6_CE.GetCheck()) {
		m_cchk_GPIO_A_6_OE.EnableWindow(1);
		m_cchk_GPIO_A_6_OE.SetCheck(0);
		m_cbtn_GPIO_A_6_Get.EnableWindow(1);
		m_cbtn_GPIO_A_6_Set.EnableWindow(0);
		m_cedit_GPIO_A_6_Set_Value.EnableWindow(0);
		bControlEnable = 1;
	}
	else {
		m_cchk_GPIO_A_6_OE.EnableWindow(0);
		m_cchk_GPIO_A_6_OE.SetCheck(0);
		m_cbtn_GPIO_A_6_Get.EnableWindow(0);
		m_cbtn_GPIO_A_6_Set.EnableWindow(0);
		m_cedit_GPIO_A_6_Set_Value.EnableWindow(0);
		bControlEnable = 0;
	}

	SetCEConf(GPIO_Address, bControlEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioACe7()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 7;

	if (m_cchk_GPIO_A_7_CE.GetCheck()) {
		m_cchk_GPIO_A_7_OE.EnableWindow(1);
		m_cchk_GPIO_A_7_OE.SetCheck(0);
		m_cbtn_GPIO_A_7_Get.EnableWindow(1);
		m_cbtn_GPIO_A_7_Set.EnableWindow(0);
		m_cedit_GPIO_A_7_Set_Value.EnableWindow(0);
		bControlEnable = 1;
	}
	else {
		m_cchk_GPIO_A_7_OE.EnableWindow(0);
		m_cchk_GPIO_A_7_OE.SetCheck(0);
		m_cbtn_GPIO_A_7_Get.EnableWindow(0);
		m_cbtn_GPIO_A_7_Set.EnableWindow(0);
		m_cedit_GPIO_A_7_Set_Value.EnableWindow(0);
		bControlEnable = 0;
	}

	SetCEConf(GPIO_Address, bControlEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioAOe2()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 2;
	if (m_cchk_GPIO_A_2_OE.GetCheck()) {
		m_cbtn_GPIO_A_2_Get.EnableWindow(0);
		m_cbtn_GPIO_A_2_Set.EnableWindow(1);
		m_cedit_GPIO_A_2_Set_Value.EnableWindow(1);
		bOutputEnable = 1;
	}
	else {
		m_cbtn_GPIO_A_2_Get.EnableWindow(1);
		m_cbtn_GPIO_A_2_Set.EnableWindow(0);
		m_cedit_GPIO_A_2_Set_Value.EnableWindow(0);
		bOutputEnable = 0;
	}

	SetOEConf(GPIO_Address, bOutputEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioAOe3()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 3;
	if (m_cchk_GPIO_A_3_OE.GetCheck()) {
		m_cbtn_GPIO_A_3_Get.EnableWindow(0);
		m_cbtn_GPIO_A_3_Set.EnableWindow(1);
		m_cedit_GPIO_A_3_Set_Value.EnableWindow(1);
		bOutputEnable = 1;
	}
	else {
		m_cbtn_GPIO_A_3_Get.EnableWindow(1);
		m_cbtn_GPIO_A_3_Set.EnableWindow(0);
		m_cedit_GPIO_A_3_Set_Value.EnableWindow(0);
		bOutputEnable = 0;
	}

	SetOEConf(GPIO_Address, bOutputEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioAOe4()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 4;
	if (m_cchk_GPIO_A_4_OE.GetCheck()) {
		m_cbtn_GPIO_A_4_Get.EnableWindow(0);
		m_cbtn_GPIO_A_4_Set.EnableWindow(1);
		m_cedit_GPIO_A_4_Set_Value.EnableWindow(1);
		bOutputEnable = 1;
	}
	else {
		m_cbtn_GPIO_A_4_Get.EnableWindow(1);
		m_cbtn_GPIO_A_4_Set.EnableWindow(0);
		m_cedit_GPIO_A_4_Set_Value.EnableWindow(0);
		bOutputEnable = 0;
	}

	SetOEConf(GPIO_Address, bOutputEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioAOe5()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 5;
	if (m_cchk_GPIO_A_5_OE.GetCheck()) {
		m_cbtn_GPIO_A_5_Get.EnableWindow(0);
		m_cbtn_GPIO_A_5_Set.EnableWindow(1);
		m_cedit_GPIO_A_5_Set_Value.EnableWindow(1);
		bOutputEnable = 1;
	}
	else {
		m_cbtn_GPIO_A_5_Get.EnableWindow(1);
		m_cbtn_GPIO_A_5_Set.EnableWindow(0);
		m_cedit_GPIO_A_5_Set_Value.EnableWindow(0);
		bOutputEnable = 0;
	}

	SetOEConf(GPIO_Address, bOutputEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioAOe6()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 6;
	if (m_cchk_GPIO_A_6_OE.GetCheck()) {
		m_cbtn_GPIO_A_6_Get.EnableWindow(0);
		m_cbtn_GPIO_A_6_Set.EnableWindow(1);
		m_cedit_GPIO_A_6_Set_Value.EnableWindow(1);
		bOutputEnable = 1;
	}
	else {
		m_cbtn_GPIO_A_6_Get.EnableWindow(1);
		m_cbtn_GPIO_A_6_Set.EnableWindow(0);
		m_cedit_GPIO_A_6_Set_Value.EnableWindow(0);
		bOutputEnable = 0;
	}

	SetOEConf(GPIO_Address, bOutputEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioAOe7()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 7;
	if (m_cchk_GPIO_A_7_OE.GetCheck()) {
		m_cbtn_GPIO_A_7_Get.EnableWindow(0);
		m_cbtn_GPIO_A_7_Set.EnableWindow(1);
		m_cedit_GPIO_A_7_Set_Value.EnableWindow(1);
		bOutputEnable = 1;
	}
	else {
		m_cbtn_GPIO_A_7_Get.EnableWindow(1);
		m_cbtn_GPIO_A_7_Set.EnableWindow(0);
		m_cedit_GPIO_A_7_Set_Value.EnableWindow(0);
		bOutputEnable = 0;
	}

	SetOEConf(GPIO_Address, bOutputEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioA2()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 2;

	GetValueConf(GPIO_Address);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioA3()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 3;

	GetValueConf(GPIO_Address);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioA4()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 4;

	GetValueConf(GPIO_Address);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioA5()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 5;

	GetValueConf(GPIO_Address);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioA6()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 6;

	GetValueConf(GPIO_Address);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioA7()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 7;

	GetValueConf(GPIO_Address);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioA2()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 2;
	val = (BYTE)atoi(m_edit_GPIO_A_2_Set_Value);
	SetValueConf(GPIO_Address, val);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioA3()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 3;
	val = (BYTE)atoi(m_edit_GPIO_A_3_Set_Value);
	SetValueConf(GPIO_Address, val);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioA4()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 4;
	val = (BYTE)atoi(m_edit_GPIO_A_4_Set_Value);
	SetValueConf(GPIO_Address, val);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioA5()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 5;
	val = (BYTE)atoi(m_edit_GPIO_A_5_Set_Value);
	SetValueConf(GPIO_Address, val);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioA6()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 6;
	val = (BYTE)atoi(m_edit_GPIO_A_6_Set_Value);
	SetValueConf(GPIO_Address, val);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioA7()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 7;
	val = (BYTE)atoi(m_edit_GPIO_A_7_Set_Value);
	SetValueConf(GPIO_Address, val);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioBCe0()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 0;

	if (m_cchk_GPIO_B_0_CE.GetCheck()) {
		m_cchk_GPIO_B_0_OE.EnableWindow(1);
		m_cchk_GPIO_B_0_OE.SetCheck(0);
		m_cbtn_GPIO_B_0_Get.EnableWindow(1);
		m_cbtn_GPIO_B_0_Set.EnableWindow(0);
		m_cedit_GPIO_B_0_Set_Value.EnableWindow(0);
		bControlEnable = 1;
	}
	else {
		m_cchk_GPIO_B_0_OE.EnableWindow(0);
		m_cchk_GPIO_B_0_OE.SetCheck(0);
		m_cbtn_GPIO_B_0_Get.EnableWindow(0);
		m_cbtn_GPIO_B_0_Set.EnableWindow(0);
		m_cedit_GPIO_B_0_Set_Value.EnableWindow(0);
		bControlEnable = 0;
	}

	SetCEConf_B(GPIO_Address, bControlEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioBCe1()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 1;

	if (m_cchk_GPIO_B_1_CE.GetCheck()) {
		m_cchk_GPIO_B_1_OE.EnableWindow(1);
		m_cchk_GPIO_B_1_OE.SetCheck(0);
		m_cbtn_GPIO_B_1_Get.EnableWindow(1);
		m_cbtn_GPIO_B_1_Set.EnableWindow(0);
		m_cedit_GPIO_B_1_Set_Value.EnableWindow(0);
		bControlEnable = 1;
	}
	else {
		m_cchk_GPIO_B_1_OE.EnableWindow(0);
		m_cchk_GPIO_B_1_OE.SetCheck(0);
		m_cbtn_GPIO_B_1_Get.EnableWindow(0);
		m_cbtn_GPIO_B_1_Set.EnableWindow(0);
		m_cedit_GPIO_B_1_Set_Value.EnableWindow(0);
		bControlEnable = 0;
	}

	SetCEConf_B(GPIO_Address, bControlEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioBCe2()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 2;

	if (m_cchk_GPIO_B_2_CE.GetCheck()) {
		m_cchk_GPIO_B_2_OE.EnableWindow(1);
		m_cchk_GPIO_B_2_OE.SetCheck(0);
		m_cbtn_GPIO_B_2_Get.EnableWindow(1);
		m_cbtn_GPIO_B_2_Set.EnableWindow(0);
		m_cedit_GPIO_B_2_Set_Value.EnableWindow(0);
		bControlEnable = 1;
	}
	else {
		m_cchk_GPIO_B_2_OE.EnableWindow(0);
		m_cchk_GPIO_B_2_OE.SetCheck(0);
		m_cbtn_GPIO_B_2_Get.EnableWindow(0);
		m_cbtn_GPIO_B_2_Set.EnableWindow(0);
		m_cedit_GPIO_B_2_Set_Value.EnableWindow(0);
		bControlEnable = 0;
	}

	SetCEConf_B(GPIO_Address, bControlEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioBCe3()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 3;

	if (m_cchk_GPIO_B_3_CE.GetCheck()) {
		m_cchk_GPIO_B_3_OE.EnableWindow(1);
		m_cchk_GPIO_B_3_OE.SetCheck(0);
		m_cbtn_GPIO_B_3_Get.EnableWindow(1);
		m_cbtn_GPIO_B_3_Set.EnableWindow(0);
		m_cedit_GPIO_B_3_Set_Value.EnableWindow(0);
		bControlEnable = 1;
	}
	else {
		m_cchk_GPIO_B_3_OE.EnableWindow(0);
		m_cchk_GPIO_B_3_OE.SetCheck(0);
		m_cbtn_GPIO_B_3_Get.EnableWindow(0);
		m_cbtn_GPIO_B_3_Set.EnableWindow(0);
		m_cedit_GPIO_B_3_Set_Value.EnableWindow(0);
		bControlEnable = 0;
	}

	SetCEConf_B(GPIO_Address, bControlEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioBCe4()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 4;

	if (m_cchk_GPIO_B_4_CE.GetCheck()) {
		m_cchk_GPIO_B_4_OE.EnableWindow(1);
		m_cchk_GPIO_B_4_OE.SetCheck(0);
		m_cbtn_GPIO_B_4_Get.EnableWindow(1);
		m_cbtn_GPIO_B_4_Set.EnableWindow(0);
		m_cedit_GPIO_B_4_Set_Value.EnableWindow(0);
		bControlEnable = 1;
	}
	else {
		m_cchk_GPIO_B_4_OE.EnableWindow(0);
		m_cchk_GPIO_B_4_OE.SetCheck(0);
		m_cbtn_GPIO_B_4_Get.EnableWindow(0);
		m_cbtn_GPIO_B_4_Set.EnableWindow(0);
		m_cedit_GPIO_B_4_Set_Value.EnableWindow(0);
		bControlEnable = 0;
	}

	SetCEConf_B(GPIO_Address, bControlEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioBCe5()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 5;

	if (m_cchk_GPIO_B_5_CE.GetCheck()) {
		m_cchk_GPIO_B_5_OE.EnableWindow(1);
		m_cchk_GPIO_B_5_OE.SetCheck(0);
		m_cbtn_GPIO_B_5_Get.EnableWindow(1);
		m_cbtn_GPIO_B_5_Set.EnableWindow(0);
		m_cedit_GPIO_B_5_Set_Value.EnableWindow(0);
		bControlEnable = 1;
	}
	else {
		m_cchk_GPIO_B_5_OE.EnableWindow(0);
		m_cchk_GPIO_B_5_OE.SetCheck(0);
		m_cbtn_GPIO_B_5_Get.EnableWindow(0);
		m_cbtn_GPIO_B_5_Set.EnableWindow(0);
		m_cedit_GPIO_B_5_Set_Value.EnableWindow(0);
		bControlEnable = 0;
	}

	SetCEConf_B(GPIO_Address, bControlEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioBCe6()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 6;

	if (m_cchk_GPIO_B_6_CE.GetCheck()) {
		m_cchk_GPIO_B_6_OE.EnableWindow(1);
		m_cchk_GPIO_B_6_OE.SetCheck(0);
		m_cbtn_GPIO_B_6_Get.EnableWindow(1);
		m_cbtn_GPIO_B_6_Set.EnableWindow(0);
		m_cedit_GPIO_B_6_Set_Value.EnableWindow(0);
		bControlEnable = 1;
	}
	else {
		m_cchk_GPIO_B_6_OE.EnableWindow(0);
		m_cchk_GPIO_B_6_OE.SetCheck(0);
		m_cbtn_GPIO_B_6_Get.EnableWindow(0);
		m_cbtn_GPIO_B_6_Set.EnableWindow(0);
		m_cedit_GPIO_B_6_Set_Value.EnableWindow(0);
		bControlEnable = 0;
	}

	SetCEConf_B(GPIO_Address, bControlEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioBCe7()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 7;

	if (m_cchk_GPIO_B_7_CE.GetCheck()) {
		m_cchk_GPIO_B_7_OE.EnableWindow(1);
		m_cchk_GPIO_B_7_OE.SetCheck(0);
		m_cbtn_GPIO_B_7_Get.EnableWindow(1);
		m_cbtn_GPIO_B_7_Set.EnableWindow(0);
		m_cedit_GPIO_B_7_Set_Value.EnableWindow(0);
		bControlEnable = 1;
	}
	else {
		m_cchk_GPIO_B_7_OE.EnableWindow(0);
		m_cchk_GPIO_B_7_OE.SetCheck(0);
		m_cbtn_GPIO_B_7_Get.EnableWindow(0);
		m_cbtn_GPIO_B_7_Set.EnableWindow(0);
		m_cedit_GPIO_B_7_Set_Value.EnableWindow(0);
		bControlEnable = 0;
	}

	SetCEConf_B(GPIO_Address, bControlEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioBOe0()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 0;
	if (m_cchk_GPIO_B_0_OE.GetCheck()) {
		m_cbtn_GPIO_B_0_Get.EnableWindow(0);
		m_cbtn_GPIO_B_0_Set.EnableWindow(1);
		m_cedit_GPIO_B_0_Set_Value.EnableWindow(1);
		bOutputEnable = 1;
	}
	else {
		m_cbtn_GPIO_B_0_Get.EnableWindow(1);
		m_cbtn_GPIO_B_0_Set.EnableWindow(0);
		m_cedit_GPIO_B_0_Set_Value.EnableWindow(0);
		bOutputEnable = 0;
	}

	SetOEConf_B(GPIO_Address, bOutputEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioBOe1()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 1;
	if (m_cchk_GPIO_B_1_OE.GetCheck()) {
		m_cbtn_GPIO_B_1_Get.EnableWindow(0);
		m_cbtn_GPIO_B_1_Set.EnableWindow(1);
		m_cedit_GPIO_B_1_Set_Value.EnableWindow(1);
		bOutputEnable = 1;
	}
	else {
		m_cbtn_GPIO_B_1_Get.EnableWindow(1);
		m_cbtn_GPIO_B_1_Set.EnableWindow(0);
		m_cedit_GPIO_B_1_Set_Value.EnableWindow(0);
		bOutputEnable = 0;
	}

	SetOEConf_B(GPIO_Address, bOutputEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioBOe2()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 2;
	if (m_cchk_GPIO_B_2_OE.GetCheck()) {
		m_cbtn_GPIO_B_2_Get.EnableWindow(0);
		m_cbtn_GPIO_B_2_Set.EnableWindow(1);
		m_cedit_GPIO_B_2_Set_Value.EnableWindow(1);
		bOutputEnable = 1;
	}
	else {
		m_cbtn_GPIO_B_2_Get.EnableWindow(1);
		m_cbtn_GPIO_B_2_Set.EnableWindow(0);
		m_cedit_GPIO_B_2_Set_Value.EnableWindow(0);
		bOutputEnable = 0;
	}

	SetOEConf_B(GPIO_Address, bOutputEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioBOe3()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 3;
	if (m_cchk_GPIO_B_3_OE.GetCheck()) {
		m_cbtn_GPIO_B_3_Get.EnableWindow(0);
		m_cbtn_GPIO_B_3_Set.EnableWindow(1);
		m_cedit_GPIO_B_3_Set_Value.EnableWindow(1);
		bOutputEnable = 1;
	}
	else {
		m_cbtn_GPIO_B_3_Get.EnableWindow(1);
		m_cbtn_GPIO_B_3_Set.EnableWindow(0);
		m_cedit_GPIO_B_3_Set_Value.EnableWindow(0);
		bOutputEnable = 0;
	}

	SetOEConf_B(GPIO_Address, bOutputEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioBOe4()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 4;
	if (m_cchk_GPIO_B_4_OE.GetCheck()) {
		m_cbtn_GPIO_B_4_Get.EnableWindow(0);
		m_cbtn_GPIO_B_4_Set.EnableWindow(1);
		m_cedit_GPIO_B_4_Set_Value.EnableWindow(1);
		bOutputEnable = 1;
	}
	else {
		m_cbtn_GPIO_B_4_Get.EnableWindow(1);
		m_cbtn_GPIO_B_4_Set.EnableWindow(0);
		m_cedit_GPIO_B_4_Set_Value.EnableWindow(0);
		bOutputEnable = 0;
	}

	SetOEConf_B(GPIO_Address, bOutputEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioBOe5()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 5;
	if (m_cchk_GPIO_B_5_OE.GetCheck()) {
		m_cbtn_GPIO_B_5_Get.EnableWindow(0);
		m_cbtn_GPIO_B_5_Set.EnableWindow(1);
		m_cedit_GPIO_B_5_Set_Value.EnableWindow(1);
		bOutputEnable = 1;
	}
	else {
		m_cbtn_GPIO_B_5_Get.EnableWindow(1);
		m_cbtn_GPIO_B_5_Set.EnableWindow(0);
		m_cedit_GPIO_B_5_Set_Value.EnableWindow(0);
		bOutputEnable = 0;
	}

	SetOEConf_B(GPIO_Address, bOutputEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioBOe6()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 6;
	if (m_cchk_GPIO_B_6_OE.GetCheck()) {
		m_cbtn_GPIO_B_6_Get.EnableWindow(0);
		m_cbtn_GPIO_B_6_Set.EnableWindow(1);
		m_cedit_GPIO_B_6_Set_Value.EnableWindow(1);
		bOutputEnable = 1;
	}
	else {
		m_cbtn_GPIO_B_6_Get.EnableWindow(1);
		m_cbtn_GPIO_B_6_Set.EnableWindow(0);
		m_cedit_GPIO_B_6_Set_Value.EnableWindow(0);
		bOutputEnable = 0;
	}

	SetOEConf_B(GPIO_Address, bOutputEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioBOe7()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 7;
	if (m_cchk_GPIO_B_7_OE.GetCheck()) {
		m_cbtn_GPIO_B_7_Get.EnableWindow(0);
		m_cbtn_GPIO_B_7_Set.EnableWindow(1);
		m_cedit_GPIO_B_7_Set_Value.EnableWindow(1);
		bOutputEnable = 1;
	}
	else {
		m_cbtn_GPIO_B_7_Get.EnableWindow(1);
		m_cbtn_GPIO_B_7_Set.EnableWindow(0);
		m_cedit_GPIO_B_7_Set_Value.EnableWindow(0);
		bOutputEnable = 0;
	}

	SetOEConf_B(GPIO_Address, bOutputEnable);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioB0()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 0;

	GetValueConf_B(GPIO_Address);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioB1()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 1;

	GetValueConf_B(GPIO_Address);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioB2()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 2;

	GetValueConf_B(GPIO_Address);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioB3()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 3;

	GetValueConf_B(GPIO_Address);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioB4()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 4;

	GetValueConf_B(GPIO_Address);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioB5()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 5;

	GetValueConf_B(GPIO_Address);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioB6()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 6;

	GetValueConf_B(GPIO_Address);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnGetGpioB7()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 7;

	GetValueConf_B(GPIO_Address);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioB0()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 0;
	val = (BYTE)atoi(m_edit_GPIO_B_0_Set_Value);
	SetValueConf_B(GPIO_Address, val);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioB1()
{
	// TODO: Add your control notification handler code here
	UpdateData();

	GPIO_Address = 1;
	val = (BYTE)atoi(m_edit_GPIO_B_1_Set_Value);
	
	SetValueConf_B(GPIO_Address, val);

	UpdateData(FALSE);

}


void CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioB2()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 2;
	val = (BYTE)atoi(m_edit_GPIO_B_2_Set_Value);
	SetValueConf_B(GPIO_Address, val);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioB3()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 3;
	
	strResponse.Format("m_edit_GPIO_B_3_Set_Value : %s", m_edit_GPIO_B_3_Set_Value);
	AddResponseString(strResponse);

	val = (BYTE)atoi(m_edit_GPIO_B_3_Set_Value); //m_edit_GPIO_B_3_Set_Value

	strResponse.Format("PL2303G_GPIO_B_3 SetValue: %d, val");
    AddResponseString(strResponse);
 
	SetValueConf_B(GPIO_Address, val);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioB4()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 4;
	val = (BYTE)atoi(m_edit_GPIO_B_4_Set_Value);
	SetValueConf_B(GPIO_Address, val);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioB5()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 5;
	val = (BYTE)atoi(m_edit_GPIO_B_5_Set_Value);
	SetValueConf_B(GPIO_Address, val);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioB6()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 6;
	val = (BYTE)atoi(m_edit_GPIO_B_6_Set_Value);
	SetValueConf_B(GPIO_Address, val);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedBtnSetGpioB7()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 7;
	val = (BYTE)atoi(m_edit_GPIO_B_7_Set_Value);
	SetValueConf_B(GPIO_Address, val);
	UpdateData(FALSE);
}


void CPL2303G_16_GPIODlg::OnBnClickedCancel()
{
	// TODO: Add your control notification handler code here
	CDialogEx::OnCancel();
}


void CPL2303G_16_GPIODlg::OnBnClickedChkGpioAOe0()
{
	// TODO: Add your control notification handler code here
	UpdateData();
	GPIO_Address = 0;
	if (m_cchk_GPIO_A_0_OE.GetCheck()) {
		m_cbtn_GPIO_A_0_Get.EnableWindow(0);
		m_cbtn_GPIO_A_0_Set.EnableWindow(1);
		m_cedit_GPIO_A_0_Set_Value.EnableWindow(1);
		bOutputEnable = 1;
	}
	else {
		m_cbtn_GPIO_A_0_Get.EnableWindow(1);
		m_cbtn_GPIO_A_0_Set.EnableWindow(0);
		m_cedit_GPIO_A_0_Set_Value.EnableWindow(0);
		bOutputEnable = 0;
	}

	SetOEConf(GPIO_Address, bOutputEnable);
	UpdateData(FALSE);
}
